import android.annotation.SuppressLint
import android.content.ContentValues
import android.content.Context
import android.database.Cursor
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper


class DatabaseHelper(context: Context) : SQLiteOpenHelper(context, DATABASE_NAME, null, DATABASE_VERSION) {
    companion object {
        private const val DATABASE_NAME = "myDatabase.db"
        private const val DATABASE_VERSION = 1
        private const val TABLE_NAME = "activity"
        private const val COLUMN_ID = "id"
        private const val COLUMN_NAME = "name"
        private const val COLUMN_CONFIDENCE = "confidence"
        private const val COLUMN_LAST_UP_DATE = "lastUpdatedTime"
        // Add more columns if needed
    }


    fun addRecord(name: String, confidence: String, lastUpdatedTime: String) {
        val db = this.writableDatabase
        val values = ContentValues().apply {
            put(COLUMN_ID, System.currentTimeMillis().toString())
            put(COLUMN_NAME, name)
            put(COLUMN_CONFIDENCE, confidence)
            put(COLUMN_LAST_UP_DATE, lastUpdatedTime)
        }
        db.insert(TABLE_NAME, null, values)
        db.close()
    }

    @SuppressLint("Range")
    fun getRecords(): List<String> {
        val records = mutableListOf<String>()
        val db = this.readableDatabase
        val cursor: Cursor? = db.rawQuery("SELECT * FROM $TABLE_NAME", null)
        cursor?.use {
            while (cursor.moveToNext()) {
                val name = cursor.getString(cursor.getColumnIndex(COLUMN_NAME))
                val confidence = cursor.getString(cursor.getColumnIndex(COLUMN_CONFIDENCE))
                val lastUpdatedTime = cursor.getString(cursor.getColumnIndex(COLUMN_LAST_UP_DATE))
                records.add(
                    "get database from android native =====>$name - Confidence: $confidence, Last Updated " +
                            "Time: $lastUpdatedTime"
                )
            }
        }
        cursor?.close()
        db.close()
        return records
    }

    override fun onCreate(p0: SQLiteDatabase?) {
        TODO("Not yet implemented")
    }

    override fun onUpgrade(p0: SQLiteDatabase?, p1: Int, p2: Int) {
        TODO("Not yet implemented")
    }
}